# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.generalBindAllInterfaces

Module implementing a check for binding to all interfaces.

### Global Attributes

None

### Classes

None

### Functions

checkBindAllInterfaces | Function to check for binding to all interfaces.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkBindAllInterfaces

checkBindAllInterfaces(reportError, context, config)

Function to check for binding to all interfaces.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up